Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 591778 - app-cdr/cdrkit removal request
Summary: app-cdr/cdrkit removal request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2017-07-05
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PMASKED
Depends on: 591780 591782 591784 601082
Blocks: 177463 206939 254312 480770 520992
  Show dependency tree
 
Reported: 2016-08-21 09:11 UTC by Pacho Ramos
Modified: 2018-12-06 17:50 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2016-08-21 09:11:35 UTC
cdrkit is completely dead and buggy for ages... people should either go back to cdrtools or, if they don't like its license, try alternatives like libburn
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-06-05 16:24:22 UTC
# Michał Górny <mgorny@gentoo.org> (05 Jun 2017)
# (on behalf of Treecleaner project)
# Abandoned upstream and downstream. Buggy to the point of producing
# corrupted media. Use the original app-cdr/cdrtools or one of the many
# other alternatives (app-cdr/dvd+rw-tools, dev-libs/libburn...).
# Removal in 30 days. Bugs #254312, #591778.
app-cdr/cdrkit
Comment 2 deference 2017-07-03 14:16:46 UTC
Not that I can do anything about it now, but I've been working
on other opensource stuff and keep wanting to work on this
package, in fact this bug for some time now.

The docs for libburn are very bad English.

And there is a work around. Use a speed of a multiple of 4,
e.g. 1, 4, 8, 16, etc.

I'm asking if perhaps you could mask the package (instead of
removing it), with a message like this:

This package is masked because of a known bug in the speed
setting produce corupted media. You must set the speed
explicity to some multiple of 4 (4, 8, 16) or to a speed
of 1x.
Gentoo recommends using app-cdr/cdrtools,
app-cdr/dvd+rw-tools, dev-libs/libburn instead.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-07-05 10:17:02 UTC
No. We're not keeping totally redundant stuff (compared to cdrecord) when it's completely unmaintained.
Comment 4 Pacho Ramos gentoo-dev 2017-07-05 10:21:18 UTC
And with unresolved an known bugs for years (even when it was supposedly maintained)
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-07-05 10:36:46 UTC
commit 05f5454a3108c4ffaeae8be59f4a32c74048293c
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: Wed Jul 5 12:17:52 2017
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: Wed Jul 5 12:35:12 2017

    app-cdr/cdrkit: Remove last-rited pkg, #591778
Comment 6 Jaak Ristioja 2018-12-06 17:50:30 UTC
I don't know if this matters, but app-cdr/cdrkit is still referenced by multiple packages:

app-cdr/brasero/brasero-3.12.2-r1.ebuild:               $(use_enable !libburn cdrkit) \
app-cdr/burn-cd/burn-cd-1.8.1.ebuild:DESCRIPTION="Smart console frontend for the cdrkit/cdrtools & dvd+rw-tools"
app-cdr/cdrtools/cdrtools-3.02_alpha07-r1.ebuild:       !app-cdr/cdrkit"
app-cdr/cdrtools/cdrtools-3.02_alpha07-r1.ebuild:       # These symlinks are for compat with cdrkit.
app-cdr/cdrtools/cdrtools-3.02_alpha09-r1.ebuild:       !app-cdr/cdrkit
app-cdr/cdrtools/cdrtools-3.02_alpha09-r1.ebuild:       # These symlinks are for compat with cdrkit.
app-cdr/cdrtools/cdrtools-3.02_alpha09-r2.ebuild:       !app-cdr/cdrkit
app-cdr/cdrtools/cdrtools-3.02_alpha09-r2.ebuild:       # These symlinks are for compat with cdrkit.
app-cdr/cdrtools/cdrtools-3.02_alpha09.ebuild:  !app-cdr/cdrkit"
app-cdr/cdrtools/cdrtools-3.02_alpha09.ebuild:  # These symlinks are for compat with cdrkit.
virtual/cdrtools/cdrtools-0.ebuild:DESCRIPTION="Virtual for command-line recorders cdrtools and cdrkit"
virtual/cdrtools/cdrtools-0.ebuild:RDEPEND="|| ( app-cdr/cdrtools app-cdr/cdrkit )"